html, body{
    height: 100%;
}

.codepen{
    display: flex;
    flex-flow: column;
    height: 100%;
}

h1, h2, h3, h4, h5, h6, p, a, textarea{
    color: #fff;
}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.5);
    align-items: center;
    justify-content: center;
    display: none;
    .modal{
        height: 250px;
        width: 250px;
        background: $footer-color;
        border: 3px solid $editor-padding-color;
        padding: 10px;

        &__header{
            border-bottom: 2px solid $editor-padding-color;
            margin-bottom: 15px;
            padding-bottom: 5px;
        }
    }
}

button{
    -webkit-appearance: none;
    appearance: none;
    background: $button-color;
    color: #fff;
    border: 2px solid $button-color;
    padding: 10px 15px;
    cursor: pointer;

    &:hover, &:focus{
        background: $button-click-color;
    }

    &:active{
        transform: translate(0, 1px);
    }
}


.code_and_result{
    display: flex;
    flex: 1 1 auto;
    flex-flow: column;
}

.preview{
    flex: 1 1 auto;

    iframe{
        width: 100%;
        height: 100%;
    }
}

